    <%- if test_mode -%>
    from bornagain import ba_check
    ba_check.persistence_test(results)
    <%- elsif figure_mode -%>
    plotargs = bp.parse_commandline()
    bp.plot_multicurve(results, **plotargs)
    bp.export(**plotargs)
    <%- else -%>
    bp.plot_multicurve(results)
    bp.plt.show()
    <%- end -%>
